安全漏洞

loophole

安全漏洞补丁公告

当前位置  >  首页  >  服务支持  >  安全漏洞  >  安全漏洞补丁公告

公告ID(KYSA-202205-1026

公告ID:KYSA-202205-1026 公告摘要:expat安全漏洞 安全等级:Important 发布日期:2022年05月10日 影响CVE:CVE-2022-25236

详细介绍

1. 修复的CVE

·CVE-2022-25236

描述:Expat是一款使用C语言编写的快速流式XML解析器。Expat(又名 libexpat)2.4.5 之前存在输入验证错误漏洞,该漏洞源于 xmlparse.c 允许攻击者将命名空间分隔符插入命名空间 URI。

2. 受影响的软件包

·银河麒麟高级服务器操作系统 V10 SP1

aarch64架构:

expat、expat-devel、expat-help

mips64el架构:

expat、expat-devel、expat-help

x86_64架构:

expat、expat-devel、expat-help

3. 软件包修复版本

·银河麒麟高级服务器操作系统 V10 SP1

expat-2.2.9-7.ky10

expat-devel-2.2.9-7.ky10

expat-help-2.2.9-7.ky10

4. 修复方法

方法一:配置源进行升级安装

1. 打开软件包源配置文件,根据仓库地址进行修改。

仓库源地址:

银河麒麟高级服务器操作系统 V10 SP1

aarch64:https://update.cs2c.com.cn/NS/V10/V10SP1.1/os/adv/lic/updates/aarch64/

mips64el:https://update.cs2c.com.cn/NS/V10/V10SP1.1/os/adv/lic/updates/mips64el/

x86_64:https://update.cs2c.com.cn/NS/V10/V10SP1.1/os/adv/lic/updates/x86_64/

2. 配置完成后执行更新命令进行升级,命令如下:

yum update Packagename

方法二:下载安装包进行升级安装

通过软件包地址下载软件包,使用软件包升级命令根据受影响的软件包列表进行升级安装,命令如下:

yum install Packagename

3. 升级完成后是否需要重启服务或操作系统:

·CVE-2022-25236:需要重启 expat 以使漏洞修复生效。

5. 软件包下载地址

·银河麒麟高级服务器操作系统 V10 SP1

 

expat(aarch64)软件包下载地址:

https://update.cs2c.com.cn/NS/V10/V10SP1.1/os/adv/lic/updates/aarch64/Packages/expat-2.2.9-7.ky10.aarch64.rpm

https://update.cs2c.com.cn/NS/V10/V10SP1.1/os/adv/lic/updates/aarch64/Packages/expat-devel-2.2.9-7.ky10.aarch64.rpm

https://update.cs2c.com.cn/NS/V10/V10SP1.1/os/adv/lic/updates/aarch64/Packages/expat-help-2.2.9-7.ky10.noarch.rpm

 

expat(mips64el)软件包下载地址:

https://update.cs2c.com.cn/NS/V10/V10SP1.1/os/adv/lic/updates/mips64el/Packages/expat-2.2.9-7.ky10.mips64el.rpm

https://update.cs2c.com.cn/NS/V10/V10SP1.1/os/adv/lic/updates/mips64el/Packages/expat-devel-2.2.9-7.ky10.mips64el.rpm

https://update.cs2c.com.cn/NS/V10/V10SP1.1/os/adv/lic/updates/mips64el/Packages/expat-help-2.2.9-7.ky10.noarch.rpm

 

expat(x86_64)软件包下载地址:

https://update.cs2c.com.cn/NS/V10/V10SP1.1/os/adv/lic/updates/x86_64/Packages/expat-2.2.9-7.ky10.x86_64.rpm

https://update.cs2c.com.cn/NS/V10/V10SP1.1/os/adv/lic/updates/x86_64/Packages/expat-devel-2.2.9-7.ky10.x86_64.rpm

https://update.cs2c.com.cn/NS/V10/V10SP1.1/os/adv/lic/updates/x86_64/Packages/expat-help-2.2.9-7.ky10.noarch.rpm

 

注:其他相关依赖包请到相同目录下载

6. 修复验证

使用软件包查询命令,查看相关软件包版本是否与修复版本一致,如果版本一致,则说明修复成功。

sudo rpm -qa | grep Packagename


上一篇: KYSA-202205-1025 下一篇: KYSA-202205-1027

试用

服务

动态

联系